import {Button, Grid, Typography} from "@mui/material";
import {Link} from "react-router-dom";
import {PRODUCT_ADD} from "../../constants/routes";
import {useDispatch, useSelector} from "react-redux";
import {fetchProducts} from "../../store/actions/productsActions";
import {useEffect} from "react";
import ProductItem from "../../components/Product/ProductItem/ProductItem";

const Products = () => {
    const dispatch = useDispatch();
    const products = useSelector(state => state.products);

    useEffect(() => {
        dispatch(fetchProducts());
    }, []);

    return (
        <Grid container direction="column" spacing={2}>
            <Grid
                container
                item
                direction="row"
                justifyContent="space-between"
                alignItems="center"
            >
                <Grid item>
                    <Typography variant="h4">
                        Products list
                    </Typography>
                </Grid>
                <Grid item>
                    <Button color="primary" component={Link} to={PRODUCT_ADD}>
                        Add product
                    </Button>
                </Grid>
            </Grid>
            <Grid
                container
                item
                direction="row"
                justifyContent="space-between"
                alignItems="center"
            >
                {
                    products.map(product => (
                        <ProductItem
                            key={product._id}
                            product={product}
                        />
                    ))
                }
            </Grid>
        </Grid>
    );
};

export default Products;
